Subject: [ppsp] ppsp problem statement(new version)

From: [email-masked]
Date: Thu, 6 Nov 2008 23:27:22 +0800

Hi,all,
   Seems not all guys receive zongning's letter.I resent it and add replys inline.Thanks so much for Zongning's comment.
-------------------------------------------------------------------------------

Hi, Zhang Hui
This is Ning Zong from Huawei. Thank you for your comments on PPSP. I have
some simple survey document of P2P streaming applications on hand and I will
send them to you soon. Anyway, I am preparing a draft on P2P streaming
system survey and will present it on the incoming bar BoF.
Regarding to the new version of Problem Statement of PPSP, I also think it
contains much more useful content than V1. The following is my cents:
1, The basic mission of PPSP looks good, but I think the scenario is
many-to-many communication instead of one-to-many, right?

Answer:The difference depends on where you view the process.From a peer's view,it's one-to-many and from the whole system,it's many-to-many.right?
2, About the steps of PPSP, step (1) I think it is still not clear if
tracker can support capability negotiation. It will be resource consuming
job for tracker and peers to interact with peer capabilities. 

Answer:Good question.It needs more evaluation to prove.But in the worst case,multiple trackers seem to solve this problem.

Step (3) I think we should separate the step of peer harvesting peer list and
exchanging chunk bitmap because there are some application-dependent
threshold to decide when to gossip peer list or chunk bitmap. 
Answer:It sounds reasonable.

Step (6) I believe the re-assemble of chunk is application, not PPSP.
Answer:Exactly Right.
 
Step (7) I think peer could just report to tracker about its presence or critical status
change rather than content / chunks, because the latter is highly dynamic
and could be resource consuming job to be transferred over network.
Answer:Seems in the current application realization,peer reports what it has.I agree that
Peer maynot report to tracker that precise information,but a corse inforamtion about what it has 
should be at least reported.

 Step (5)Basically I hold the similar feeling with Zhang hui because I still cannot
see the strong requirement to explicitly implement so many
application-dependent parameters in PPSP which would again probably enlarge
the PPSP to some hard-to-control extent.
Answer:Seems this is a main point we need to clarify and discuss.

The comparison of PPSP and P2PSIP seems good and it provide better basis for
progressing a BoF. Thanks, Yunfei.

Regards
Ning Zong
_______________________________________________
ppsp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ppsp